framework:
    workflows:
        material:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estadoNotificacion'
            supports:
                - App\Entity\SN\Notificacion
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
                - Eliminado
                - Prioritario
                - Prioritario_Privado
                - Privado
            transitions:
                guardar:
                    from: [Borrador, Publicado, Prioritario, Prioritario_Privado, Privado]
                    to:   Borrador
                editar:
                    from: [Publicado, Prioritario, Prioritario_Privado, Privado]
                    to:   Borrador
                publicar:
                    from: [Borrador, Publicado, Prioritario, Prioritario_Privado, Privado]
                    to:   Publicado
                eliminar:
                    from: [Borrador, Publicado, Prioritario, Prioritario_Privado, Privado]
                    to:   Eliminado
        cronograma:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Entrevistas\CronogramaEntrevistas
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
            transitions:
                guardar:
                    from: [Borrador, Publicado]
                    to:   Borrador
                editar:
                    from: [Publicado]
                    to:   Borrador
                publicar:
                    from: [Borrador]
                    to:   Publicado
                despublicar:
                    from: [Publicado]
                    to:   Borrador
                